## keylaunch 1.3.0-6

=== Makefile ===
CC        = gcc
CFLAGS    = -g -O2 -Wall
XROOT     = /usr/X11R6
INCLUDES  = -I$(XROOT)/include
LIBS      = -lX11 
LDPATH    = -L$(XROOT)/lib

PROG      = keylaunch

# Next two lines were edited/added for Debian packaging
DESTDIR	  =
PREFIX    = $(DESTDIR)/usr
RCFILE    = .$(PROG)rc
DEFINES   = -DRCFILE=\"$(RCFILE)\" #-DDEBUG

OBJS      = $(PROG).o  

all: $(PROG) 

$(PROG): $(OBJS)
	$(CC) $(OBJS) $(LDPATH) $(LIBS) -o $@

$(OBJS): %.o: %.c $(HEADERS)
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -c $< -o $@

install: all
	install $(PROG) $(PREFIX)/bin

clean:
	rm -f $(PROG) $(OBJS)

=== debian/changelog ===
keylaunch (1.3.0-6) unstable; urgency=low

  * Fixed a typo in the manpage.
    closes: #164839

 -- Stefan Pfetzing <dreamind@dreamind.de>  Wed, 16 Oct 2002 09:46:48 +0200

keylaunch (1.3.0-5) unstable; urgency=low

  * Fixed the Header to represent the actual situation. 

 -- Stefan Pfetzing <dreamind@dreamind.de>  Mon, 10 Jun 2002 00:45:32 +0200

keylaunch (1.3.0-4) unstable; urgency=low

  * Fixed a spelling error in the man page.
    closes: #127420

 -- Brandon L. Griffith <brandon@debian.org>  Wed,  3 Apr 2002 12:20:50 -0500

keylaunch (1.3.0-3) unstable; urgency=low

  * Added a manual page.
  * Cleaned up lintian Warnings.

 -- Brandon L. Griffith <brandon@debian.org>  Mon, 31 Dec 2001 13:38:01 -0500

keylaunch (1.3.0-2) unstable; urgency=low

  * Failed to add Build Depends
    Closes: #108965

 -- Brandon L. Griffith <brandon@debian.org>  Fri, 17 Aug 2001 09:28:23 -0400

keylaunch (1.3.0-1) unstable; urgency=low

  * Initial Release.
  * Closes wnpp bug filed for packaging.
    Closes: #108615

 -- Brandon L. Griffith <brandon@debian.org>  Wed, 15 Aug 2001 00:12:29 -0400

=== debian/control ===
Source: keylaunch
Section: x11
Priority: optional
Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
Build-Depends: debhelper (>= 2.0), xlibs-dev
Standards-Version: 3.5.2

Package: keylaunch
Architecture: any
Depends: ${shlibs:Depends}
Description: A small utility for binding commands to a hot key.
 KeyLaunch is a small utility for binding commands to a hot key. It reads a
 configuration file in ${HOME}.keylaunchrc. KeyLaunch uses Ctrl, Alt and Shift
 as modifier keys, the hotkey is up to the user.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/keylaunch.sgml > keylaunch.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/bin

	# Add here commands to install the package into debian/keylaunch.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/keylaunch


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman debian/keylaunch.1
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_makeshlibs
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## keylaunch 1.3.1

=== debian/changelog ===
keylaunch (1.3.1) unstable; urgency=low

  * The I'm back release.
  * Finally fixed the problem when $HOME was not defined, so lets get
    the information from the right place.
  * Fix lintian errors.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Sun, 27 Jul 2003 23:54:51 +0200

=== debian/control ===
Source: keylaunch
Section: x11
Priority: optional
Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
Build-Depends: debhelper (>= 2.0), xlibs-dev
Standards-Version: 3.6.2

Package: keylaunch
Architecture: any
Depends: ${shlibs:Depends}
Description: A small utility for binding commands to a hot key
 KeyLaunch is a small utility for binding commands to a hot key. It reads a
 configuration file in ${HOME}.keylaunchrc. KeyLaunch uses Ctrl, Alt and Shift
 as modifier keys, the hotkey is up to the user.

## keylaunch 1.3.3

=== debian/changelog ===
keylaunch (1.3.3) unstable; urgency=low

  * No longer depend on xlibs-dev. (Closes: #347006)

 -- Stefan Pfetzing <dreamind@dreamind.de>  Mon,  9 Jan 2006 17:58:57 +0100

keylaunch (1.3.2) unstable; urgency=low

  * Update Keylaunch to use autoconf.
  * Install documentation.
  * Complain when ~/.keylaunchr is not found.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Sat,  9 Jul 2005 20:15:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
-Build-Depends: debhelper (>= 2.0), xlibs-dev
+Build-Depends: debhelper (>= 3), libx11-dev
 Standards-Version: 3.6.2
 
 Package: keylaunch

## keylaunch 1.3.4

=== debian/changelog ===
keylaunch (1.3.4) unstable; urgency=low

  * Since keylaunch uses dh_strip, the install option -s is not needed.
    (Closes: #437252)

 -- Stefan Pfetzing <dreamind@dreamind.de>  Fri, 17 Aug 2007 10:17:06 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,33 +1,25 @@
 #!/usr/bin/make -f
-export DH_VERBOSE=1
-export DH_COMPAT=2
+#export DH_VERBOSE=1
+export DH_COMPAT=4
 
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	
-
+	./configure --prefix=/usr
 	touch configure-stamp
 
 build: configure-stamp build-stamp
 build-stamp:
 	dh_testdir
-
-	# Add here commands to compile the package.
 	$(MAKE)
-	#/usr/bin/docbook-to-man debian/keylaunch.sgml > keylaunch.1
-
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-
-	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
-
 	dh_clean
 
 install: build
@@ -36,7 +28,6 @@
 	dh_clean -k
 	dh_installdirs usr/bin
 
-	# Add here commands to install the package into debian/keylaunch.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/keylaunch
 
 
@@ -50,7 +41,6 @@
 	dh_testroot
 	dh_installdocs
 	dh_installexamples
-	dh_installman debian/keylaunch.1
 	dh_installchangelogs
 	dh_link
 	dh_strip

## keylaunch 1.3.6

=== Makefile ===
# Makefile, written for Keylaunch - NO automake at all!
# Makefile.  Generated from Makefile.in by configure.
#
# Copyright (c) 2005 Stefan Pfetzing <dreamind@dreamind.de>
#
#
PROG		=	keylaunch

DESTDIR		=
PREFIX		=	/usr/local
INSTDIR		=	$(DESTDIR)$(PREFIX)
BIN_DIR		=	$(INSTDIR)/bin
MAN1_DIR	=	$(INSTDIR)/share/man/man1
DOC_DIR		=	$(INSTDIR)/share/doc/$(PROG)


VERBOSE		=
ifeq ($(VERBOSE), 1)
	Q	=
else
	Q	=	@
endif

CC		=	gcc
CFLAGS		=	-g -O2  -g -O2 -Wall
LIBS		=	-lX11  
LDFLAGS		=	
RCFILE		=	.$(PROG)rc
DEFINES		=	-DRCFILE=\"$(RCFILE)\"
OBJS		=	$(PROG).o
INSTALL		=	/usr/bin/install -c
INST_PROG_OPTS	=	-D
INST_MAN_OPTS	=	--mode=644
INST_DOC_OPTS	=	--mode=644
INST_CREATEDIR	=	-d

MAINTAINER_FILES=	configure \
			config.h.in \
			config.log \
			config.h \
			config.status \
			aclocal.m4 \
			install-sh \
			stamp-h1 \
			missing \
			Makefile

MAINTAINER_DIRS	=	autom4te.cache
MANS_1		=	mans/keylaunch.1
DOCS		=	docs/example_rc README

# The default Target.
all: $(PROG) 

$(PROG): $(OBJS)
	@echo "[ linking $< ]"
	$Q$(CC) $< $(LDFLAGS) $(LIBS) -o $@

$(OBJS): %.o: %.c $(HEADERS)
	@echo "[ compiling $< ]"
	$Q$(CC) $(CFLAGS) $(DEFINES) -c $< -o $@

install-mans:
	@echo "[ installing manpages. (section 1) ]"
	$Q$(INSTALL) $(INST_CREATEDIR) $(MAN1_DIR)
	$Q$(INSTALL) $(INST_MAN_OPTS) $(MANS_1) $(MAN1_DIR)

install-docs:
	@echo "[ installing documentation. ]"
	$Q$(INSTALL) $(INST_CREATEDIR) $(DOC_DIR)
	$Q$(INSTALL) $(INST_DOC_OPTS) $(DOCS) $(DOC_DIR)

install: all install-mans install-docs
	@echo "[ installing $(PROG) ]"
	$Q$(INSTALL) $(INST_PROG_OPTS) $(PROG) $(BIN_DIR)/$(PROG)

uninstall:
	@echo "[ uninstalling $(PROG) ]"
	$Qrm -f $(DESTDIR)$(PREFIX)/bin/$(PROG)

clean:
	@echo "[ cleaning all. ]"
	$Qrm -f $(PROG) $(OBJS)

maintainer-clean: clean
	@echo "[ cleaning all maintainer files and directories. ]"
	$Qrm -f $(MAINTAINER_FILES)
	$Qrm -rf $(MAINTAINER_DIRS)

=== debian/changelog ===
keylaunch (1.3.6) unstable; urgency=low

  * At first remove all events from the X11 filedescriptor.
    This lead to a broken 1.3.5 version.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Fri, 05 Dec 2008 09:49:35 +0100

keylaunch (1.3.5) unstable; urgency=low

  * Use select instead of using a while loop with usleep. 

 -- Stefan Pfetzing <dreamind@dreamind.de>  Thu, 04 Dec 2008 17:52:49 +0100

## keylaunch 1.3.9

=== debian/changelog ===
keylaunch (1.3.9) unstable; urgency=low

  * Distclean should clean too. (Closes: #570044)
  * Add missing script. Not automatically done, because of not using automake.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Tue, 16 Feb 2010 07:46:17 +0100

keylaunch (1.3.8) unstable; urgency=low

  * Fix several lintian errors and cleanup aclocal/autoconf stuff.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Sun, 14 Feb 2010 17:31:45 +0100

keylaunch (1.3.7) unstable; urgency=low

  * The keylaunch is not dead release! 
  * Keylaunch is using dh_strip. (Closes: #498310)

 -- Stefan Pfetzing <dreamind@dreamind.de>  Sun, 14 Feb 2010 15:52:17 +0100

=== debian/control ===
Source: keylaunch
Section: x11
Priority: optional
Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
Build-Depends: debhelper (>= 7), libx11-dev
Standards-Version: 3.8.4

Package: keylaunch
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: A small utility for binding commands to a hot key
 KeyLaunch is a small utility for binding commands to a hot key. It reads a
 configuration file in ${HOME}.keylaunchrc. KeyLaunch uses Ctrl, Alt and Shift
 as modifier keys, the hotkey is up to the user.

## keylaunch 1.3.9build1

=== debian/changelog ===
keylaunch (1.3.9build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:30:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: keylaunch
 Section: x11
 Priority: optional
-Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
 Build-Depends: debhelper (>= 7), libx11-dev
 Standards-Version: 3.8.4

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
-export DH_COMPAT=4
 
 configure: configure-stamp
 configure-stamp:
@@ -19,13 +18,13 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) distclean
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs usr/bin
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/keylaunch
@@ -46,8 +45,8 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
+	dh_makeshlibs
 	dh_installdeb
-	dh_makeshlibs
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
